Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net.util
Class SubnetUtils.SubnetInfo

    java.lang.Object
      org.apache.commons.net.util.SubnetUtils.SubnetInfo

Enclosing class:
  SubnetUtils

    public final class SubnetUtils.SubnetInfo

extends Object

Convenience container for subnet summary information.

Method Summary
`int` | `asInteger(String address)`
`String` | `getAddress()`
`int` | `getAddressCount()`
`String[]` | `getAllAddresses()`
`String` | `getBroadcastAddress()`
`String` | `getCidrSignature()`
`String` | `getHighAddress()`
`String` | `getLowAddress()`
`String` | `getNetmask()`
`String` | `getNetworkAddress()`
`boolean` | `isInRange(String address)` Returns true if the parameter `address` is in the range of usable endpoint addresses for this subnet.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### isInRange

    public boolean isInRange(String address)

  Returns true if the parameter `address` is in the range of usable endpoint addresses for this subnet. This excludes the network and broadcast adresses.

  Parameters:
    `address` - A dot-delimited IPv4 address, e.g. "192.168.0.1"
  Returns:
    True if in range, false otherwise

### getBroadcastAddress

    public String getBroadcastAddress()

### getNetworkAddress

    public String getNetworkAddress()

### getNetmask

    public String getNetmask()

### getAddress

    public String getAddress()

### getLowAddress

    public String getLowAddress()

### getHighAddress

    public String getHighAddress()

### getAddressCount

    public int getAddressCount()

### asInteger

    public int asInteger(String address)

### getCidrSignature

    public String getCidrSignature()

### getAllAddresses

    public String[] getAllAddresses()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  Since:
    2.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.